- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Protected Attributes | Friends | List of all members
WPSList::Level Struct Reference

small structure to keep information about a level More...

`#include <WPSList.h>`

## Public Member Functions
| Level ()
| basic constructor More...
bool | isDefault () const
| returns true if the level type was not set More...
bool | isNumeric () const
| returns true if the list is decimal, alpha or roman More...
void | addTo (WPXPropertyList &propList, int startVal) const
| add the information of this level in the propList More...
bool | isSendToInterface () const
| returns true, if addTo has been called More...
void | resetSendToInterface () const
| reset the sendToInterface flag More...
int | getStartValue () const
| returns the start value (if set) or 1 More...
int | cmp (Level const &levl) const
| full comparison function More...
int | cmpType (Level const &levl) const
| type comparison function More...

## Public Attributes
double | m_labelIndent
| the list indent More...
double | m_labelWidth
| the list width More...
int | m_startValue
| the actual value (if this is an ordered level ) More...
libwps::NumberingType | m_type
| the type of the level More...
WPXString | m_prefix
| string which preceedes the number if we have an ordered level More...
WPXString | m_suffix
| string which follows the number if we have an ordered level More...
WPXString | m_bullet
| the bullet if we have an bullet level More...

## Protected Attributes
bool | m_sendToInterface
| true if it is already send to WPXDocumentInterface More...

## Friends
std::ostream & | operator<< (std::ostream &o, Level const &ft)
| operator<< More...

## Detailed Description

small structure to keep information about a level

## Constructor & Destructor Documentation

WPSList::Level::Level | ( |  | ) |
| inline

basic constructor

## Member Function Documentation

void WPSList::Level::addTo | ( | WPXPropertyList & | propList,
|  | int | startVal
| ) |  | const

add the information of this level in the propList

int WPSList::Level::cmp | ( | WPSList::Level const & | levl | ) | const

full comparison function

int WPSList::Level::cmpType | ( | WPSList::Level const & | levl | ) | const

type comparison function

Referenced by WPSList::set().

int WPSList::Level::getStartValue | ( |  | ) | const
| inline

returns the start value (if set) or 1

Referenced by WPSList::set().

bool WPSList::Level::isDefault | ( |  | ) | const
| inline

returns true if the level type was not set

bool WPSList::Level::isNumeric | ( |  | ) | const
| inline

returns true if the list is decimal, alpha or roman

Referenced by WPS8TextStyle::readParagraph().

bool WPSList::Level::isSendToInterface | ( |  | ) | const
| inline

returns true, if addTo has been called

void WPSList::Level::resetSendToInterface | ( |  | ) | const
| inline

reset the sendToInterface flag

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | WPSList::Level const & | ft
| ) |  |
| friend

operator<<

## Member Data Documentation

WPXString WPSList::Level::m_bullet

the bullet if we have an bullet level

Referenced by addTo(), cmp(), cmpType(), operator<<(), WPS8TextStyle::readParagraph(), and WPS4Text::readParagraph().

double WPSList::Level::m_labelIndent

the list indent

Referenced by addTo(), cmp(), operator<<(), WPS8TextStyle::readParagraph(), and WPSParagraph::send().

double WPSList::Level::m_labelWidth

the list width

Referenced by addTo(), cmp(), operator<<(), and WPSParagraph::send().

WPXString WPSList::Level::m_prefix

string which preceedes the number if we have an ordered level

Referenced by addTo(), cmpType(), and operator<<().

bool WPSList::Level::m_sendToInterface
| mutable protected

true if it is already send to WPXDocumentInterface

Referenced by addTo(), isSendToInterface(), and resetSendToInterface().

int WPSList::Level::m_startValue

the actual value (if this is an ordered level )

Referenced by getStartValue(), operator<<(), WPS8TextStyle::readParagraph(), and WPSList::set().

WPXString WPSList::Level::m_suffix

string which follows the number if we have an ordered level

Referenced by addTo(), cmpType(), operator<<(), and WPS8TextStyle::readParagraph().

libwps::NumberingType WPSList::Level::m_type

the type of the level

Referenced by addTo(), cmpType(), isDefault(), isNumeric(), operator<<(), WPS8TextStyle::readParagraph(), and WPS4Text::readParagraph().

The documentation for this struct was generated from the following files:

- WPSList.h
- WPSList.cpp